# Request to add/remove subscribers to the STOP list

## Request to add/remove subscribers to the STOP list

<mark style="color:green;">`POST`</mark> `http://lk.mysmpp.ru/xml/stop.php`

#### Headers

| Name                                           | Type   | Description                    |
| ---------------------------------------------- | ------ | ------------------------------ |
| Content-type<mark style="color:red;">\*</mark> | String | **`text/xml; charset=utf-8;`** |

#### Request Body

| Name                                             | Type   | Description                                                                                       |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------- |
| login.value<mark style="color:red;">\*</mark>    | String | Your login in the system                                                                          |
| add\_stop.phone                                  | Int    | Phone number of the subscriber to be added to the STOP list                                       |
| token.value<mark style="color:red;">\*</mark>    | String | You can use a secret key instead of login and password. To obtain it, please contact your manager |
| password.value<mark style="color:red;">\*</mark> | String | Your password in the system                                                                       |
| delete\_stop.phone                               | Int    | Phone number of the subscriber to be removed from the STOP list                                   |

{% tabs %}
{% tab title="200: OK If a valid XML document is received" %}

```xml
<?xml version="1.0" encoding="utf-8" ?>
<response>
    <phone phone="79612242243">delete</phone>
    <phone phone="79612242244">add</phone>
    <phone phone="79612242245">not_found</phone>
    …
</response>
```

{% endtab %}

{% tab title="400: Bad Request If an error occurs in the sent XML document" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
     <error>Error message</error>
</response>
```

{% endtab %}
{% endtabs %}

### Deciphering parameters in query responses

<table><thead><tr><th width="163.33333333333331">Parameter</th><th width="160">Data type</th><th>Описание</th></tr></thead><tbody><tr><td>phone</td><td>Int</td><td>Phone number</td></tr><tr><td>error</td><td>String</td><td><p>The error text can take the following values:</p><ul><li>Incorrect XML document format </li><li>Incorrect login or password </li><li>POST data is missing</li></ul></td></tr></tbody></table>

### Example XML request

```xml
<?xml  version="1.0" encoding="utf-8" ?>
<request>
     <security>
          <login value="login" />
          <password value="password" />
     </security>
     <add_stop>
          <phone phone="79612242243" />
          <phone phone="79612242244" />
          …
     </add_stop>
     <delete_stop>
          <phone phone="79612242243" />
          <phone phone="79612242244" />
          …
     </delete_stop>
</request>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/xml-specification/request-to-add-remove-subscribers-to-the-stop-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
